package net.woellert.viergewinnt.test;

import java.util.Arrays;

import net.woellert.viergewinnt.objects.Playfield;
import net.woellert.viergewinnt.objects.Playfield.SlotState;

public class BottomRowTester {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
	
		Playfield field = new Playfield(4,4);
		
		field.setState(0, 0, SlotState.PLAYER_1);
		field.setState(0, 1, SlotState.PLAYER_1);
		field.setState(0, 2, SlotState.PLAYER_1);
		field.setState(0, 3, SlotState.PLAYER_1);
		
		field.setState(1, 2, SlotState.PLAYER_1);
		field.setState(2, 2, SlotState.PLAYER_1);
		

		
		System.out.println(field);
		int[] legalTurns = field.getAllLegalTurns();
		System.out.println(Arrays.toString(legalTurns));
		
		for(int i = 0; i < legalTurns.length; i++) {
			System.out.println(legalTurns[i] + " => " + field.getMostBottomRow(legalTurns[i]));
		}
	}

}
